DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
DRTPrivateDataElementDefinitionSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTPrivateDataElementDefinitionSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor More...
| Item (const Item &copy)
| copy constructor More...
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator More...
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty More...
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item More...
OFCondition | read (DcmItem &item)
| read elements from sequence item More...
OFCondition | write (DcmItem &item)
| write elements to sequence item More...
OFCondition | getPrivateDataElement (Uint16 &value, const unsigned long pos=0) const
| get PrivateDataElement (0008,0308) More...
OFCondition | getPrivateDataElementDescription (OFString &value, const signed long pos=0) const
| get PrivateDataElementDescription (0008,030e) More...
OFCondition | getPrivateDataElementEncoding (OFString &value, const signed long pos=0) const
| get PrivateDataElementEncoding (0008,030f) More...
OFCondition | getPrivateDataElementKeyword (OFString &value, const signed long pos=0) const
| get PrivateDataElementKeyword (0008,030d) More...
OFCondition | getPrivateDataElementName (OFString &value, const signed long pos=0) const
| get PrivateDataElementName (0008,030c) More...
OFCondition | getPrivateDataElementNumberOfItems (Uint32 &value, const unsigned long pos=0) const
| get PrivateDataElementNumberOfItems (0008,030b) More...
OFCondition | getPrivateDataElementValueMultiplicity (Uint32 &value, const unsigned long pos=0) const
| get PrivateDataElementValueMultiplicity (0008,0309) More...
OFCondition | getPrivateDataElementValueRepresentation (OFString &value, const signed long pos=0) const
| get PrivateDataElementValueRepresentation (0008,030a) More...
OFCondition | getRetrieveURI (OFString &value, const signed long pos=0) const
| get RetrieveURI (0040,e010) More...
OFCondition | setPrivateDataElement (const Uint16 value, const unsigned long pos=0)
| set PrivateDataElement (0008,0308) More...
OFCondition | setPrivateDataElementDescription (const OFString &value, const OFBool check=OFTrue)
| set PrivateDataElementDescription (0008,030e) More...
OFCondition | setPrivateDataElementEncoding (const OFString &value, const OFBool check=OFTrue)
| set PrivateDataElementEncoding (0008,030f) More...
OFCondition | setPrivateDataElementKeyword (const OFString &value, const OFBool check=OFTrue)
| set PrivateDataElementKeyword (0008,030d) More...
OFCondition | setPrivateDataElementName (const OFString &value, const OFBool check=OFTrue)
| set PrivateDataElementName (0008,030c) More...
OFCondition | setPrivateDataElementNumberOfItems (const Uint32 value, const unsigned long pos=0)
| set PrivateDataElementNumberOfItems (0008,030b) More...
OFCondition | setPrivateDataElementValueMultiplicity (const Uint32 value, const unsigned long pos=0)
| set PrivateDataElementValueMultiplicity (0008,0309) More...
OFCondition | setPrivateDataElementValueRepresentation (const OFString &value, const OFBool check=OFTrue)
| set PrivateDataElementValueRepresentation (0008,030a) More...
OFCondition | setRetrieveURI (const OFString &value, const OFBool check=OFTrue)
| set RetrieveURI (0040,e010) More...

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmUnsignedShort | PrivateDataElement
| PrivateDataElement (0008,0308) vr=US, vm=1, type=1.
DcmUnlimitedText | PrivateDataElementDescription
| PrivateDataElementDescription (0008,030e) vr=UT, vm=1, type=3.
DcmUnlimitedText | PrivateDataElementEncoding
| PrivateDataElementEncoding (0008,030f) vr=UT, vm=1, type=3.
DcmUnlimitedCharacters | PrivateDataElementKeyword
| PrivateDataElementKeyword (0008,030d) vr=UC, vm=1, type=1.
DcmUnlimitedCharacters | PrivateDataElementName
| PrivateDataElementName (0008,030c) vr=UC, vm=1, type=1.
DcmUnsignedLong | PrivateDataElementNumberOfItems
| PrivateDataElementNumberOfItems (0008,030b) vr=UL, vm=1-2, type=1C.
DcmUnsignedLong | PrivateDataElementValueMultiplicity
| PrivateDataElementValueMultiplicity (0008,0309) vr=UL, vm=1-3, type=1.
DcmCodeString | PrivateDataElementValueRepresentation
| PrivateDataElementValueRepresentation (0008,030a) vr=CS, vm=1, type=1.
DcmUniversalResourceIdentifierOrLocator | RetrieveURI
| RetrieveURI (0040,e010) vr=UR, vm=1, type=3.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor. More...
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset. More...
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset More...
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element More...
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset More...
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset More...
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type More...
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type. More...
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type. More...

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTPrivateDataElementDefinitionSequence::Item::Item | ( | const OFBool | emptyDefaultItem = `OFFalse` | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

## ◆ Item() [2/2]

DRTPrivateDataElementDefinitionSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

## Member Function Documentation

## ◆ getPrivateDataElement()

OFCondition DRTPrivateDataElementDefinitionSequence::Item::getPrivateDataElement | ( | Uint16 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get PrivateDataElement (0008,0308)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPrivateDataElementDescription()

OFCondition DRTPrivateDataElementDefinitionSequence::Item::getPrivateDataElementDescription | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get PrivateDataElementDescription (0008,030e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPrivateDataElementEncoding()

OFCondition DRTPrivateDataElementDefinitionSequence::Item::getPrivateDataElementEncoding | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get PrivateDataElementEncoding (0008,030f)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPrivateDataElementKeyword()

OFCondition DRTPrivateDataElementDefinitionSequence::Item::getPrivateDataElementKeyword | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get PrivateDataElementKeyword (0008,030d)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPrivateDataElementName()

OFCondition DRTPrivateDataElementDefinitionSequence::Item::getPrivateDataElementName | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get PrivateDataElementName (0008,030c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPrivateDataElementNumberOfItems()

OFCondition DRTPrivateDataElementDefinitionSequence::Item::getPrivateDataElementNumberOfItems | ( | Uint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get PrivateDataElementNumberOfItems (0008,030b)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPrivateDataElementValueMultiplicity()

OFCondition DRTPrivateDataElementDefinitionSequence::Item::getPrivateDataElementValueMultiplicity | ( | Uint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get PrivateDataElementValueMultiplicity (0008,0309)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPrivateDataElementValueRepresentation()

OFCondition DRTPrivateDataElementDefinitionSequence::Item::getPrivateDataElementValueRepresentation | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get PrivateDataElementValueRepresentation (0008,030a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRetrieveURI()

OFCondition DRTPrivateDataElementDefinitionSequence::Item::getRetrieveURI | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get RetrieveURI (0040,e010)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTPrivateDataElementDefinitionSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTPrivateDataElementDefinitionSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item& DRTPrivateDataElementDefinitionSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

## ◆ read()

OFCondition DRTPrivateDataElementDefinitionSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPrivateDataElement()

OFCondition DRTPrivateDataElementDefinitionSequence::Item::setPrivateDataElement | ( | const Uint16 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set PrivateDataElement (0008,0308)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPrivateDataElementDescription()

OFCondition DRTPrivateDataElementDefinitionSequence::Item::setPrivateDataElementDescription | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set PrivateDataElementDescription (0008,030e)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPrivateDataElementEncoding()

OFCondition DRTPrivateDataElementDefinitionSequence::Item::setPrivateDataElementEncoding | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set PrivateDataElementEncoding (0008,030f)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPrivateDataElementKeyword()

OFCondition DRTPrivateDataElementDefinitionSequence::Item::setPrivateDataElementKeyword | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set PrivateDataElementKeyword (0008,030d)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UC) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPrivateDataElementName()

OFCondition DRTPrivateDataElementDefinitionSequence::Item::setPrivateDataElementName | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set PrivateDataElementName (0008,030c)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UC) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPrivateDataElementNumberOfItems()

OFCondition DRTPrivateDataElementDefinitionSequence::Item::setPrivateDataElementNumberOfItems | ( | const Uint32 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set PrivateDataElementNumberOfItems (0008,030b)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1-2

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPrivateDataElementValueMultiplicity()

OFCondition DRTPrivateDataElementDefinitionSequence::Item::setPrivateDataElementValueMultiplicity | ( | const Uint32 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set PrivateDataElementValueMultiplicity (0008,0309)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1-3

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPrivateDataElementValueRepresentation()

OFCondition DRTPrivateDataElementDefinitionSequence::Item::setPrivateDataElementValueRepresentation | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set PrivateDataElementValueRepresentation (0008,030a)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRetrieveURI()

OFCondition DRTPrivateDataElementDefinitionSequence::Item::setRetrieveURI | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set RetrieveURI (0040,e010)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UR) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTPrivateDataElementDefinitionSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtpdeds.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1